Project

General

Profile

Actions

Bug #14304

open

testrunner fails while handling exceptions

Added by Rich Lowe 7 months ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
tests
Start date:
Due date:
% Done:

0%

Estimated time:
Difficulty:
Medium
Tags:
Gerrit CR:

Description

Traceback (most recent call last):
  File "/opt/test-runner/bin/run", line 259, in run
    universal_newlines=True)
  File "/usr/lib/python3.5/subprocess.py", line 676, in __init__
    restore_signals, start_new_session)
  File "/usr/lib/python3.5/subprocess.py", line 1289, in _execute_child
    raise child_exception_type(errno_num, err_msg)
OSError: [Errno 8] Exec format error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/opt/test-runner/bin/run", line 973, in <module>
    main()
  File "/opt/test-runner/bin/run", line 967, in main
    testrun.run(options)
  File "/opt/test-runner/bin/run", line 781, in run
    self.testgroups[testgroup].run(self.logger, options)
  File "/opt/test-runner/bin/run", line 510, in run
    test.run(options)
  File "/opt/test-runner/bin/run", line 272, in run
    t.cancel()
UnboundLocalError: local variable 't' referenced before assignment

I think the initial exception is something I did wrong, though I'm not sure what. The second is pretty clearly a bug in testrunner.

No data to display

Actions

Also available in: Atom PDF